
#define VER 1
#define SVER 0

#define NAMESZ          30

#define ALARMTIME       30              //seconds (for sigalarm - used on LINUX)



//config stuff defaults
#define XDEVFILENAME    "x10.dev"

#ifdef LINUX
int stricmp(char *st1,char *st2);
int kbhit( void );
#else
int alarm(int val);
#endif


struct xdevinfo
{
    char hc,dev;
    unsigned char status;
    time_t lasttime;
    char name[NAMESZ+1];
};

struct xinfos
{
    struct xdevinfo xdev[16][16];
    int stathc;
    int statdev;
    int lastdevs[16];
};

void DoCommand(char *ch);

char *TS(void);
void LoadConfig(void);
char *StripTail(char *s);
void Logit(char *str1,char *str2);
void msDelay(int len);

int InitX10(void);
void CloseX10(void);
void ProcessX10(void);
void ReadX10(void);
void X10deviceAction(char *buf);
void SPrintX10Devices(void);
void PrintX10Devices(void);
void LoadX10Dev(void);
void SaveX10Dev(void);
struct xdevinfo *FindX10Device(char *name);
unsigned char SimpleX10State(struct xdevinfo *xdev);
void SendCommand(char hc, int dev, int function, int percent,int logtype);
void LogX10(int line,int type, int hc,int dev,int fun,int percent);

void StartUser(void);
void KillUser(void);
void UserInput(void);

// x10 functions

#define UNKNOWN         0x10
#define ALLUOFF         0
#define ALLLON          1
#define ON              2
#define OFF             3
#define DIM             4
#define BRIGHT          5
#define ALLLOFF         6

#define PDIML           10
#define PDIMH           11

#define STATON          13
#define STATOFF         14
#define STATREQ         15

#define XNAME           98
#define XCLR            99


//x10 log types
#define L_PLC_R         0
#define L_PLC_S         1
#define L_RF            2
#define L_CMD           3

